## movgrab 1.1.14-1maemo0

=== Makefile ===
CC = gcc
VERSION = 1.1.14
CFLAGS = -g -O2
LIBS = -lz 
INSTALL=/bin/install -c
prefix=/usr/local
bindir=$(prefix)${exec_prefix}/bin
DESTDIR=
FLAGS=$(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64 
OBJ=containerfiles.o outputfiles.o common.o cbsnews.o dailymotion.o  ehow.o  youtube.o servicetypes.o extract_text.o download.o

all: $(OBJ)
	@cd libUseful-2.0; $(MAKE)
	$(CC) $(FLAGS) -o movgrab main.c libUseful-2.0/libUseful-2.0.a $(LIBS) $(OBJ)

clean:
	@rm -f movgrab *.o libUseful-2.0/*.o libUseful-2.0/*.a libUseful-2.0/*.so

containerfiles.o: containerfiles.c containerfiles.h
	$(CC) $(FLAGS) -c containerfiles.c

outputfiles.o: outputfiles.c outputfiles.h
	$(CC) $(FLAGS) -c outputfiles.c

common.o: common.c common.h
	$(CC) $(FLAGS) -c common.c

cbsnews.o: cbsnews.c cbsnews.h
	$(CC) $(FLAGS) -c cbsnews.c

dailymotion.o: dailymotion.c dailymotion.h
	$(CC) $(FLAGS) -c dailymotion.c

ehow.o: ehow.c ehow.h
	$(CC) $(FLAGS) -c ehow.c

youtube.o: youtube.c youtube.h
	$(CC) $(FLAGS) -c youtube.c

servicetypes.o: servicetypes.c servicetypes.h
	$(CC) $(FLAGS) -c servicetypes.c

download.o: download.c download.h
	$(CC) $(FLAGS) -c download.c

extract_text.o: extract_text.c extract_text.h
	$(CC) $(FLAGS) -c extract_text.c


install:
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) movgrab $(DESTDIR)$(bindir)

=== libUseful-2.0/Makefile ===
CC = gcc
VERSION = 0.0.1
CFLAGS = -g -O2
LIBS = -lz 
FLAGS=$(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_OSS=1 
prefix=/usr/local
OBJ=string.o list.o socket.o unix_socket.o file.o GeneralFunctions.o DataProcessing.o EncryptedFiles.o ConnectManager.o sound.o pty.o Log.o http.o inet.o expect.o base64.o crc32.o md5c.o sha1.o sha2.o Hash.o Compression.o oauth.o libsettings.o Vars.o


all: $(OBJ)
	$(CC) $(FLAGS) $(LIBS) -shared -o libUseful-2.0.so $(OBJ)
	#ld -i -o libUseful-2.0.a $(OBJ)
	ar rcs libUseful-2.0.a $(OBJ)

string.o: string.h string.c
	$(CC) $(FLAGS) -c string.c

list.o: list.h list.c
	$(CC) $(FLAGS) -c list.c

socket.o: socket.h socket.c
	$(CC) $(FLAGS) -c socket.c

sound.o: sound.h sound.c
	$(CC) $(FLAGS) -c sound.c

pty.o: pty.h pty.c
	$(CC) $(FLAGS) -c pty.c

http.o: http.h http.c
	$(CC) $(FLAGS) -c http.c


Log.o: Log.h Log.c
	$(CC) $(FLAGS) -c Log.c

unix_socket.o: unix_socket.h unix_socket.c
	$(CC) $(FLAGS) -c unix_socket.c

file.o: file.h file.c
	$(CC) $(FLAGS) -c file.c

inet.o: inet.h inet.c
	$(CC) $(FLAGS) -c inet.c

expect.o: expect.h expect.c
	$(CC) $(FLAGS) -c expect.c

GeneralFunctions.o: GeneralFunctions.h GeneralFunctions.c
	$(CC) $(FLAGS) -c GeneralFunctions.c

DataProcessing.o: DataProcessing.h DataProcessing.c
	$(CC) $(FLAGS) -c DataProcessing.c

EncryptedFiles.o: EncryptedFiles.h EncryptedFiles.c
	$(CC) $(FLAGS) -c EncryptedFiles.c

Hash.o: Hash.h Hash.c
	$(CC) $(FLAGS) -c Hash.c

Compression.o: Compression.h Compression.c
	$(CC) $(FLAGS) -c Compression.c

ConnectManager.o: ConnectManager.h ConnectManager.c
	$(CC) $(FLAGS) -c ConnectManager.c

base64.o: base64.c base64.h
	$(CC) $(FLAGS) -c base64.c

crc32.o: crc32.c crc32.h
	$(CC) $(FLAGS) -c crc32.c

md5c.o: md5c.c md5-global.h md5.h
	$(CC) $(FLAGS) -c md5c.c

sha1.o: sha1.c sha1.h
	$(CC) $(FLAGS) -c sha1.c

sha2.o: sha2.c sha2.h
	$(CC) $(FLAGS) -c sha2.c

oauth.o: oauth.c oauth.h
	$(CC) $(FLAGS) -c oauth.c

Vars.o: Vars.c Vars.h
	$(CC) $(FLAGS) -c Vars.c

libsettings.o: libsettings.c libsettings.h
	$(CC) $(FLAGS) -c libsettings.c


clean:
	@rm -f *.o *.so *.a

install:
	@ln -s libUseful-2.0.so libUseful.so
	@ln -s libUseful-2.0.a libUseful.a
	@cp *.so *.a $(prefix)/lib ; mkdir $(prefix)/include/libUseful-$(VERSION) ; cp *.h $(prefix)/include/libUseful-$(VERSION)

=== debian/changelog ===
movgrab (1.1.14-1maemo0) unstable; urgency=low

  * Give it a try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Thu,  6 Dec 2012 22:05:13 +0100

movgrab (1.1.14-1~webupd8~lucid) lucid; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 05 Dec 2012 15:19:19 +0200
 

movgrab (1.1.13-1~webupd8~lucid) lucid; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 14 Nov 2012 14:14:46 +0200
 

movgrab (1.1.12-1~webupd8~quantal) quantal; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Fri, 05 Oct 2012 19:23:50 +0300
 

movgrab (1.1.11-1~webupd8~quantal) quantal; urgency=medium
 
  * new upstream bugfix release
 
 -- Alin Andrei <webupd8@gmail.com>  Tue, 18 Sep 2012 11:08:33 +0300
 

movgrab (1.1.10-1~webupd8~quantal1) quantal; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Tue, 05 Jun 2012 20:02:07 +0300
 

movgrab (1.1.9-1~webupd8~precise) precise; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Thu, 22 Mar 2012 10:08:46 +0100
 

movgrab (1.1.7-1~webupd8~precise1) precise; urgency=medium

  * initial upload

 -- Alin Andrei <webupd8@gmail.com>  Tue, 07 Feb 2012 14:45:36 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: 

build:
	dh_testdir
	/bin/bash -c "unset CC; unset LDFLAGS; unset CPPFLAGS; unset CFLAGS; ./configure --prefix=/usr"
	dh_auto_build

clean:
	dh_auto_clean

binary-arch:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs
	mkdir $(CURDIR)/debian/movgrab/usr/bin/
	cp movgrab $(CURDIR)/debian/movgrab/usr/bin/
	dh_icons
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-arch

## movgrab 1.1.15-1maemo0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 CC = gcc
-VERSION = 1.1.14
+VERSION = 1.1.15
 CFLAGS = -g -O2
-LIBS = -lz 
+LIBS = -lcrypto -lssl -lz 
 INSTALL=/bin/install -c
 prefix=/usr/local
 bindir=$(prefix)${exec_prefix}/bin
 DESTDIR=
-FLAGS=$(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64 
+FLAGS=$(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -DHAVE_LIBSSL=1 -DHAVE_LIBCRYPTO=1 
 OBJ=containerfiles.o outputfiles.o common.o cbsnews.o dailymotion.o  ehow.o  youtube.o servicetypes.o extract_text.o download.o
 
 all: $(OBJ)

=== libUseful-2.0/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 CC = gcc
 VERSION = 0.0.1
 CFLAGS = -g -O2
-LIBS = -lz 
-FLAGS=$(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_OSS=1 
+LIBS = -lcrypto -lssl -lz 
+FLAGS=$(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -DHAVE_LIBSSL=1 -DHAVE_LIBCRYPTO=1 -DHAVE_EVP_BF_CBC=1 -DHAVE_EVP_RC2_CBC=1 -DHAVE_EVP_RC4=1 -DHAVE_EVP_DES_CBC=1 -DHAVE_EVP_DESX_CBC=1 -DHAVE_EVP_CAST5_CBC=1 -DHAVE_EVP_IDEA_CBC=1 -DHAVE_EVP_AES_128_CBC=1 -DHAVE_EVP_AES_256_CBC=1 -DUSE_OPENSSL_ADD_ALL_ALGORITHMS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_OSS=1 
 prefix=/usr/local
 OBJ=string.o list.o socket.o unix_socket.o file.o GeneralFunctions.o DataProcessing.o EncryptedFiles.o ConnectManager.o sound.o pty.o Log.o http.o inet.o expect.o base64.o crc32.o md5c.o sha1.o sha2.o Hash.o Compression.o oauth.o libsettings.o Vars.o

=== debian/changelog ===
movgrab (1.1.15-1maemo0) unstable; urgency=low

  * Added basic 'ETA' meter, added support for google video search
    links, fixed dailymotion titles.

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 29 Mar 2013 11:49:38 +0100

=== debian/control ===
Source: movgrab
Section: gnome
Priority: extra
Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://sites.google.com/site/columscode/home/movgrab

Package: movgrab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Movgrab
  Command line tool to download videos from various websites like: YouTube, Daily Motion, Break, Ehow, 5min, Blip.tv, MyVideo, Clipshark, MyTopClip, RedBalcony, Mobango, izlese, Yale University, San Diago Natural History Museum, Princeton University, University of California Television, Reuters, clipfish.de, Liveleak, Academic Earth, Photobucket, VideoEmo, Videos Facebook, Aljazeera, mefeedia, myvido1, iViewTube, Washington Post, CBS News, France24, metatube, motionfeeds, exapistmagazine, guardian, redorbit, scivee, royalsociety

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 build:
 	dh_testdir
-	/bin/bash -c "unset CC; unset LDFLAGS; unset CPPFLAGS; unset CFLAGS; ./configure --prefix=/usr"
+	/bin/bash -c "unset CC; unset LDFLAGS; unset CPPFLAGS; unset CFLAGS; ./configure --prefix=/usr --enable-ssl --enable-largefiles"
 	dh_auto_build
 
 clean:

## movgrab 1.2.0-1maemo0

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 CC = gcc
-VERSION = 1.1.15
+VERSION = 1.2.0
 CFLAGS = -g -O2
-LIBS = -lcrypto -lssl -lz 
+LIBS = -lz 
 INSTALL=/bin/install -c
 prefix=/usr/local
 bindir=$(prefix)${exec_prefix}/bin
 DESTDIR=
-FLAGS=$(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -DHAVE_LIBSSL=1 -DHAVE_LIBCRYPTO=1 
-OBJ=containerfiles.o outputfiles.o common.o cbsnews.o dailymotion.o  ehow.o  youtube.o servicetypes.o extract_text.o download.o
+FLAGS=$(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 
+OBJ=containerfiles.o outputfiles.o common.o cbsnews.o dailymotion.o  ehow.o  youtube.o servicetypes.o extract_text.o download.o display.o
 
 all: $(OBJ)
 	@cd libUseful-2.0; $(MAKE)
-	$(CC) $(FLAGS) -o movgrab main.c libUseful-2.0/libUseful-2.0.a $(LIBS) $(OBJ)
+	$(CC) $(FLAGS) -o movgrab main.c $(LIBS) $(OBJ) libUseful-2.0/libUseful-2.0.a
 
 clean:
 	@rm -f movgrab *.o libUseful-2.0/*.o libUseful-2.0/*.a libUseful-2.0/*.so
@@ -43,6 +43,9 @@
 download.o: download.c download.h
 	$(CC) $(FLAGS) -c download.c
 
+display.o: display.c display.h
+	$(CC) $(FLAGS) -c display.c
+
 extract_text.o: extract_text.c extract_text.h
 	$(CC) $(FLAGS) -c extract_text.c

=== libUseful-2.0/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC = gcc
 VERSION = 0.0.1
 CFLAGS = -g -O2
-LIBS = -lcrypto -lssl -lz 
-FLAGS=$(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -DHAVE_LIBSSL=1 -DHAVE_LIBCRYPTO=1 -DHAVE_EVP_BF_CBC=1 -DHAVE_EVP_RC2_CBC=1 -DHAVE_EVP_RC4=1 -DHAVE_EVP_DES_CBC=1 -DHAVE_EVP_DESX_CBC=1 -DHAVE_EVP_CAST5_CBC=1 -DHAVE_EVP_IDEA_CBC=1 -DHAVE_EVP_AES_128_CBC=1 -DHAVE_EVP_AES_256_CBC=1 -DUSE_OPENSSL_ADD_ALL_ALGORITHMS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_OSS=1 
+LIBS = -lz 
+FLAGS=$(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_OSS=1 
 prefix=/usr/local
-OBJ=string.o list.o socket.o unix_socket.o file.o GeneralFunctions.o DataProcessing.o EncryptedFiles.o ConnectManager.o sound.o pty.o Log.o http.o inet.o expect.o base64.o crc32.o md5c.o sha1.o sha2.o Hash.o Compression.o oauth.o libsettings.o Vars.o
+OBJ=string.o list.o socket.o unix_socket.o file.o tar.o FileSystem.o GeneralFunctions.o DataProcessing.o EncryptedFiles.o ConnectManager.o sound.o pty.o Log.o http.o inet.o expect.o base64.o crc32.o md5c.o sha1.o sha2.o Hash.o Compression.o oauth.o libsettings.o Vars.o MathExpr.o Time.o Markup.o SpawnPrograms.o PatternMatch.o
 
 
 all: $(OBJ)
@@ -30,6 +30,11 @@
 http.o: http.h http.c
 	$(CC) $(FLAGS) -c http.c
 
+file.o: file.h file.c
+	$(CC) $(FLAGS) -c file.c
+
+tar.o: tar.h tar.c
+	$(CC) $(FLAGS) -c tar.c
 
 Log.o: Log.h Log.c
 	$(CC) $(FLAGS) -c Log.c
@@ -37,8 +42,20 @@
 unix_socket.o: unix_socket.h unix_socket.c
 	$(CC) $(FLAGS) -c unix_socket.c
 
-file.o: file.h file.c
-	$(CC) $(FLAGS) -c file.c
+PatternMatch.o: PatternMatch.h PatternMatch.c
+	$(CC) $(FLAGS) -c PatternMatch.c
+
+FileSystem.o: FileSystem.h FileSystem.c
+	$(CC) $(FLAGS) -c FileSystem.c
+
+MathExpr.o: MathExpr.h MathExpr.c
+	$(CC) $(FLAGS) -c MathExpr.c
+
+Time.o: Time.h Time.c
+	$(CC) $(FLAGS) -c Time.c
+
+Markup.o: Markup.h Markup.c
+	$(CC) $(FLAGS) -c Markup.c
 
 inet.o: inet.h inet.c
 	$(CC) $(FLAGS) -c inet.c
@@ -88,6 +105,9 @@
 libsettings.o: libsettings.c libsettings.h
 	$(CC) $(FLAGS) -c libsettings.c
 
+SpawnPrograms.o: SpawnPrograms.c SpawnPrograms.h
+	$(CC) $(FLAGS) -c SpawnPrograms.c
+
 
 clean:
 	@rm -f *.o *.so *.a

=== debian/changelog ===
movgrab (1.2.0-1maemo0) unstable; urgency=low

  * Removed 'Clipshack' (Dead Site).
  * Removed '5 min' (better dead than AOL).
  * Removed 'PressTV' (Switched to rtmp? In this day and age?).
  * Added 'Funny or die'.
  * Fixes for most sites.
  * Much work done on 'ipad streaming' downloads (.m3u8 files).

 -- COLIN Stephane <colin.stephane@ovi.com>  Fri, 26 Apr 2013 19:11:19 +0200

## movgrab 1.2.1-1maemo0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 CC = gcc
-VERSION = 1.2.0
+VERSION = 1.2.1
 CFLAGS = -g -O2
-LIBS = -lz 
+LIBS = -lcrypto -lssl -lz 
 INSTALL=/bin/install -c
 prefix=/usr/local
 bindir=$(prefix)${exec_prefix}/bin
 DESTDIR=
-FLAGS=$(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 
+FLAGS=$(CFLAGS) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -DHAVE_LIBSSL=1 -DHAVE_LIBCRYPTO=1 
 OBJ=containerfiles.o outputfiles.o common.o cbsnews.o dailymotion.o  ehow.o  youtube.o servicetypes.o extract_text.o download.o display.o
 
 all: $(OBJ)

=== libUseful-2.0/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC = gcc
 VERSION = 0.0.1
 CFLAGS = -g -O2
-LIBS = -lz 
-FLAGS=$(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_OSS=1 
+LIBS = -lcrypto -lssl -lz 
+FLAGS=$(CFLAGS) -fPIC -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_LIBZ=1 -DHAVE_LIBSSL=1 -DHAVE_LIBCRYPTO=1 -DHAVE_EVP_BF_CBC=1 -DHAVE_EVP_RC2_CBC=1 -DHAVE_EVP_RC4=1 -DHAVE_EVP_DES_CBC=1 -DHAVE_EVP_DESX_CBC=1 -DHAVE_EVP_CAST5_CBC=1 -DHAVE_EVP_IDEA_CBC=1 -DHAVE_EVP_AES_128_CBC=1 -DHAVE_EVP_AES_256_CBC=1 -DUSE_OPENSSL_ADD_ALL_ALGORITHMS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_OSS=1 
 prefix=/usr/local
-OBJ=string.o list.o socket.o unix_socket.o file.o tar.o FileSystem.o GeneralFunctions.o DataProcessing.o EncryptedFiles.o ConnectManager.o sound.o pty.o Log.o http.o inet.o expect.o base64.o crc32.o md5c.o sha1.o sha2.o Hash.o Compression.o oauth.o libsettings.o Vars.o MathExpr.o Time.o Markup.o SpawnPrograms.o PatternMatch.o
+OBJ=string.o list.o socket.o unix_socket.o file.o tar.o FileSystem.o GeneralFunctions.o DataProcessing.o EncryptedFiles.o ConnectManager.o sound.o pty.o Log.o http.o inet.o expect.o base64.o crc32.o md5c.o sha1.o sha2.o Hash.o Compression.o oauth.o libsettings.o Vars.o MathExpr.o Time.o Markup.o SpawnPrograms.o PatternMatch.o ParseURL.o ConnectionChain.o
 
 
 all: $(OBJ)
@@ -57,6 +57,9 @@
 Markup.o: Markup.h Markup.c
 	$(CC) $(FLAGS) -c Markup.c
 
+ParseURL.o: ParseURL.h ParseURL.c
+	$(CC) $(FLAGS) -c ParseURL.c
+
 inet.o: inet.h inet.c
 	$(CC) $(FLAGS) -c inet.c
 
@@ -77,6 +80,9 @@
 
 Compression.o: Compression.h Compression.c
 	$(CC) $(FLAGS) -c Compression.c
+
+ConnectionChain.o: ConnectionChain.h ConnectionChain.c
+	$(CC) $(FLAGS) -c ConnectionChain.c
 
 ConnectManager.o: ConnectManager.h ConnectManager.c
 	$(CC) $(FLAGS) -c ConnectManager.c

=== debian/changelog ===
movgrab (1.2.1-1maemo0) unstable; urgency=low

  * Fixes for many sites, added 'sshtunnel' proxy type.

 -- COLIN Stephane <colin.stephane@ovi.com>  Tue, 30 Apr 2013 14:06:01 +0200
